
#include <stdio.h>
#include <math.h>

#define N 1024 
#define N_2 N/2
// The value of N can be changed to generate twiddles for different FFT sizes

double pm sin_twid[N/2];
double cos_twid[N/2];

FILE *cos_file;
FILE *sin_file;

main()
{
  int i, n;
  double freq, c, s;
  double pi;
  

  
/* initialize pi */
  pi = 4.0*atan(1.0);
 
  n = N_2;
  
  cos_file = fopen("cos_twid.dat","w");
  sin_file = fopen("sin_twid.dat","w");
      
  freq=2.0*pi*0.5/(double)n;
  
  for (i=0; i <= n-1; i++)
  {
    s = sin((double)i * freq);
    c = cos((double)i * freq);
    
    sin_twid[i] = s;
    cos_twid[i] = c;
    
    // write to file
    fprintf(cos_file,"%f\n",c);
    fprintf(sin_file,"%f\n",s);

  
  }
  
  fclose(cos_file);
  fclose(sin_file);

  
  
  
}

/************************/


